Update Product Variant Option Value
Updates a Variant Option Value.
Read-Only Fields
- id
- is_default
is_defaultis derived from the parent option configuration and cannot be set on individual values. To change which value is the default, use Update Product Variant Option and include the fulloption_valuesarray with the desiredis_defaultflags.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs.
The ID of the Option.
The ID of the Modifier/Option Value.
Headers
The MIME type of the response body.
Request
A BigCommerce OptionValue object.
The text display identifying the value on the storefront. Required in a /POST.
The order in which the value will be displayed on the product page. Required in a /POST.
Extra data describing the value, based on the type of option or modifier with which the value is associated. The swatch type option can accept an array of colors, with up to three hexidecimal color keys; or an image_url, which is a full image URL path including protocol. The product list type option requires a product_id. The checkbox type option requires a boolean flag, called checked_value, to determine which value is considered to be the checked state.
The unique numeric ID of the value; increments sequentially.